Module tdlight.api
Package it.tdlight.jni

# Class TdApi.EditInlineMessageText

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.EditInlineMessageText

Enclosing class:
  TdApi

public static final class TdApi.EditInlineMessageText extends TdApi.Function<TdApi.Ok>
Edits the text of an inline text or game message sent via a bot; for bots only.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`inlineMessageId`
Inline message identifier.
`TdApi.InputMessageContent`
`inputMessageContent`
New text content of the message.
`TdApi.ReplyMarkup`
`replyMarkup`
The new message reply markup; pass null if none.

## Constructor Summary

Constructors
Constructor
Description
`EditInlineMessageText()`
Edits the text of an inline text or game message sent via a bot; for bots only.
`EditInlineMessageText(DataInput input)`
Edits the text of an inline text or game message sent via a bot; for bots only.
`EditInlineMessageText(String inlineMessageId, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
Edits the text of an inline text or game message sent via a bot; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### inlineMessageId

public String inlineMessageId
Inline message identifier.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The new message reply markup; pass null if none.

### inputMessageContent

public TdApi.InputMessageContent inputMessageContent
New text content of the message. Must be of type inputMessageText.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### EditInlineMessageText

public EditInlineMessageText()
Edits the text of an inline text or game message sent via a bot; for bots only.

Returns `Ok`

### EditInlineMessageText

public EditInlineMessageText(String inlineMessageId, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
Edits the text of an inline text or game message sent via a bot; for bots only.

Returns `Ok`

Parameters:
  `inlineMessageId` - String Inline message identifier.
  `replyMarkup` - ReplyMarkup The new message reply markup; pass null if none.
  `inputMessageContent` - InputMessageContent New text content of the message. Must be of type inputMessageText.

### EditInlineMessageText

public EditInlineMessageText(DataInput input) throws IOException
Edits the text of an inline text or game message sent via a bot; for bots only.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`